Xeonr Developer Docs

PutBucketServingConfigForS3

POST
/uplim.api.v1.InternalPortalService/PutBucketServingConfigForS3

Backs the S3 Put/DeleteBucketCors and Put/DeleteBucketPolicy APIs. Requires an ADMIN grant on the bucket for the verified access key.

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketRef?|

Reference to a bucket by ID or hostname

verifiedAccessKeyId?string

SigV4-verified access key making the request. The api recomputes the key's grants and requires ADMIN on this bucket — these are bucket administration operations, not content operations.

Length1 <= length
cors*

PutBucketCors

[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.InternalPortalService/PutBucketServingConfigForS3" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{    "cors": {}  }'
{
  "denied": {
    "reason": "REASON_UNSPECIFIED"
  },
  "validationError": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}